<?php
    $username="siteedit";
    $password="siteedit";

    if(!isset($PHP_AUTH_USER)) {
        Header("WWW-Authenticate: Basic realm=\"PHP SITE EDIT\"");
        Header("HTTP/1.0 401 Unauthorized");
        exit;
    } else {
        if(($PHP_AUTH_USER != $username) || ($PHP_AUTH_PW != $password)) {
            Header("WWW-Authenticate: Basic realm=\"Retry again.\"");
            Header("HTTP/1.0 401 Unauthorized");
            exit;
        }
    }

    $debug=true;
    $auth=false;              /* if (true) use php authenticate */
    $persistent=false;        /* if (true) use persistent connection */

    define('HOST_NAME',$HTTP_HOST);
    define('HTTP_SERVER','http://$HTTP_HOST');
    define('HTTPS_SERVER','https://$HTTP_HOST');
    define('ENABLE_SSL',0);
    define('DIR_SERVER_ROOT','/usr/local/apache');

    define('DIR_DOCUMENT_ROOT',$DOCUMENT_ROOT);

    define('DIR_IMAGES','images/');
    define('DIR_INCLUDES','includes/');
    define('DIR_FONT','ttf/');
    define('FRAME_NAV','nav');
    define('FRAME_MAIN','phpmain');
    define('PHP_INDEX','index.php3');
    define('PHP_LEFT','left.php3');
    define('PHP_MAIN','main.php3');
    session_name("siteedit");
    session_start();

    //chroot(DIR_DOCUMENT_ROOT);

    // set language
    $maxCharset = 3;
    $charsetMode = array();
    $charsetMode[0]["charset"] = "US";
    $charsetMode[0]["incfile"] = "us.inc.php3";
    $charsetMode[1]["charset"] = "SJIS";
    $charsetMode[1]["incfile"] = "sjis.inc.php3";
    $charsetMode[2]["charset"] = "EUC-JP";
    $charsetMode[2]["incfile"] = "euc-jp.inc.php3";

    if (!isset($charset)) { $charset = 0; }
    if ($HTTP_GET_VARS['charset'] != "") {
        $charset = $HTTP_GET_VARS['charset'];
    }
    include DIR_INCLUDES . $charsetMode[$charset]["incfile"];
    session_register('charset');

    // set current path
    if (!isset($currentdir)) { $currentdir = DIR_DOCUMENT_ROOT; }
    if ($HTTP_GET_VARS['currentdir'] != "") {
        $currentdir = $HTTP_GET_VARS['currentdir'];
    }
    session_register('currentdir');

    // set viewmode
    if (!isset($viewmode)) { $viewmode = 1; }
    if ($HTTP_GET_VARS['viewmode'] != "") {
        $viewmode = $HTTP_GET_VARS['viewmode'];
    }
    session_register('viewmode');
?>
